Ubuntu

Please update firefox-3.5 from beta/rc to stable

Reported by Savvas Radevic on 2009-06-30
122
This bug affects 10 people
Affects Status Importance Assigned to Milestone
firefox-3.5 (Ubuntu)
Undecided
Unassigned
Nominated for Dapper by Bit-Man
Nominated for Hardy by Bit-Man
Nominated for Intrepid by Bit-Man
Nominated for Karmic by Bit-Man
Jaunty
Undecided
Unassigned

Bug Description

Binary package hint: firefox-3.5

Can you please update firefox-3.5 package to the newest available stable version:
http://www.mozilla.com/en-US/firefox/3.5/releasenotes/
http://www.mozilla.com/en-US/firefox/upgrade.html

Also, if possible, backport it to jaunty (jaunty-updates or jaunty-backports).

description: updated
Fabien Tassin (fta) wrote :

firefox-3.5 (3.5+nobinonly-0ubuntu1) karmic; urgency=low

  * New upstream release taken from tag FIREFOX_3_5_RELEASE
  * Bump Depends/Build-Depends for xulrunner-1.9.1(-dev) to >= 1.9.1
    - update debian/control
  * Bump EM_TRANSLATION_{MIN,MAX}_VERSION and MaxVersion/MinVersion
    (from application.ini)
    - update debian/rules

 -- Fabien Tassin < <email address hidden>> Tue, 30 Jun 2009 20:01:33 +0200

Changed in firefox-3.5 (Ubuntu):
status: New → Fix Released
Qianqian Fang (fangq) wrote :

does this fix also update jaunty?

Jan Vlnas (jnv) wrote :

This seems to be Karmic only release. Is there any plan to backport Firefox 3.5 to Jaunty?
Actually, there is already firefox-3.5 package but it's still Beta 4 (from March).

hackel (hackel) wrote :

Won't ff3.5 replace 3.0 in karmic? It's still called Shiretoko, and doesn't create a link/alternative to /usr/bin/firefox.

Denis Sitnitsa (zeroed) wrote :

So when do you plan to create an update for firefox?
Windows users use it already for a day.. =(

Jan Vlnas (jnv) wrote :

hackel is right, Fx 3.5 will be deafult in Karmic.
Denis, update is already done, it is only being tested and as asac on #ubuntu-mozillateam told me, it should be released today for Jaunty.
More info here: http://www.asoftsite.org/s9y/archives/160-FAQ-Where-can-I-get-firefox-3.5-for-Ubuntu.html
If you install Fx 3.5 from Moz. Security repo, beware - it is still Shiretoko with that ugly icon and there is no localization.
Also, Fx 3.0 can't be uninstalled, because firefox metapackage depends on firefox-3.0, on which Java plugin and Ubufox depends (but If you don't need them, uninstall them as well).

Alexander Sack (asac) wrote :

> If you install Fx 3.5 from Moz. Security repo, beware - it is still Shiretoko with that ugly icon and there is no localization.

This is not special in the security repo. The repo reflect exactly what will go into jaunty-updates. The more testers use the repo, the sooner this can go out. Thanks!

Jan Vlnas (jnv) wrote :

There is another option, if a missing localization and/or branding is a problem for you -- check out Ubuntuzilla: http://ubuntuzilla.sourceforge.net/
This nifty script installs official Firefox version by Mozilla into /opt/firefox/ and takes care of symlinks, DEB diversions and future updates. As far as I have tested, it works flawlessly.
It's not as clear solution as through packages, but I don't see this as a big problem.

> This is not special in the security repo. The repo reflect exactly what
> will go into jaunty-updates. The more testers use the repo, the sooner
> this can go out. Thanks!

Alexander, what do you mean?
- The shiretoko and the shiretoko (non-foxy) icon will remain?
- The desktop menu item ( /usr/share/applications/firefox-3.5.desktop
) will still read the following?
Name=Shiretoko Web Browser
Comment=Firefox 3.5 Beta

- We should give input if the mozilla security ppa package for
firefox-3.5 works or not?
- Where should we send our reports? To this bug report?

Savvas Radevic (medigeek) wrote :

> Nominated for Dapper by Bit-Man
> Nominated for Hardy by Bit-Man
> Nominated for Intrepid by Bit-Man
> Nominated for Karmic by Bit-Man

Bit-man, you shouldn't have done that.
First of all, the package is already in karmic: http://packages.ubuntu.com/karmic/firefox-3.5
Secondly, the package firefox-3.5 exists only in jaunty and karmic.

If you want backports for older releases, I suggest you try out the fabulous PPA repository of Fabien Tassin:
https://launchpad.net/~fta/+archive/ppa

Bit-Man (victor-bit-man) wrote :

Hi,

On Mon, Jul 6, 2009 at 20:27, Savvas Radevic<email address hidden> wrote:
>> Nominated  for Dapper  by Bit-Man
>> Nominated for Hardy by Bit-Man
>> Nominated for Intrepid by Bit-Man
>> Nominated for Karmic by Bit-Man
>
> Bit-man, you shouldn't have done that.
> First of all, the package is already in karmic: http://packages.ubuntu.com/karmic/firefox-3.5
> Secondly, the package firefox-3.5 exists only in jaunty and karmic.
>
> If you want backports for older releases, I suggest you try out the fabulous PPA repository of Fabien Tassin:
> https://launchpad.net/~fta/+archive/ppa

Thanks !!

--
Víctor A. Rodríguez (http://www.bit-man.com.ar)
El bit Fantasma (Bit-Man) - Programming: love it or leave it.
Perl Mongers Capital Federal (http://cafe.pm.org/)
GNU/Linux User Group - FCEyN - UBA (http://glugcen.dc.uba.ar/)

Julian Alarcon (alarconj) wrote :

Done.
Firefox 3.5 final version, is in Universe repos of Ubuntu 9.04.
https://edge.launchpad.net/ubuntu/+source/firefox-3.5

Changed in firefox-3.5 (Ubuntu Jaunty):
status: New → Fix Released
Linux Lover (obake) wrote :

Hello everyone.
I am using Ubuntu 9.04 (Jaunty) 64-bit.
I installed Firefox 3.5 from the repositories but it is using its code name "Shiretoko"
And in Help--> About Shiretoko says:

Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.1.1pre) Gecko/20090707 Ubuntu/9.04 (jaunty) Shiretoko/3.5

It syas "rv:1.9.1.1pre" in there. So, the final version of Firefox has not been uploaded yet?

Savvas Radevic (medigeek) wrote :

Hi José,

Jaunty updates have the latest stable firefox-3.5:
http://packages.ubuntu.com/search?keywords=firefox-3.5

Also check out this blog post about the name "Shiretoko":
http://www.asoftsite.org/s9y/archives/161-FAQ-Why-is-my-firefox-3.5-still-called-Shiretoko.html

Micah Gersten (micahg) wrote :

@José Lou Chang

It would appear that you are running a version of firefox-3.5 from a PPA instead of the official repos. Firefox 3.5 is the release version in jaunty-updates.

Please see the link in the previous post regarding the Shiretoko designation.

Linux Lover (obake) wrote :

Thank you Radevic and Gersten for the comment.

I first installed Firefox 3.5 using the Daily Build PPA. Upon reading that the current repositories has updated its firefox 3.5 package, I decided to uninsltall/remove Firefox 3.5 using Synaptic and delete the PPA repo, and re-install Firefox.

So maybe removal process did not remove firefox 3.5 from the PPA.
What is the correct way in doing this?

Sohail Mirza (mirzmaster) wrote :

This is a rather strange release that's being called "final".

* What is the reason that branding isn't included in the version in the repo? The novice user doesn't recognize and trust "Shiretoko". They were looking for "Firefox".
* Why doesn't Firefox 3.5 replace Firefox 3.0?

There are also some bugs in this version of "Shiretoko":

* The Google search bar icon doesn't appear updated as in the version from the official Mozilla site.
* The default theme's version still reads as 3.0.11

Checking "/usr/lib/firefox-3.5" confirms that the "extensions", "plugins", and "searchplugins" sub-directories are linked from "/usr/lib/firefox-addons", a location shared with Firefox 3.0. Given that both 3.0 and 3.5 are being made to co-exist, they should not be sharing these addons folders.

I've attached a screenshot of the

Micah Gersten (micahg) wrote :

@José Lou Chang

You would need to disable the daily ppa in Software Sources, update, remove firefox-3.5 and then reinstall.

@Sohail Mirza

This is not the place to have this discussion. You can come into the #ubuntu-mozillateam channel on irc.freenode.net if you want to discuss specific (non-bug related) issues.

As for what you asked:
It's not being branded per this document:
http://www.asoftsite.org/s9y/archives/161-FAQ-Why-is-my-firefox-3.5-still-called-Shiretoko.html

firefox-3.5 is a new piece of software in Ubuntu, not a version upgrade

Bug 396786 is open for the default theme missing.
Bug 390077 is open for the Google icon.

As for sharing extensions and plugins with the different versions, it is the policy of Ubuntu and Debian to include one copy of a library or program and use it globally throughout the system. The extensions and addons should be updated for Karmic and are most likely compatible with both. There is nothing stopping you from installing them directly in your profile, but the system versions will be shared.

Izzy (izzy-qumran) wrote :

Now that FF3.5 is out for a while, and even available in Jaunty as I read here: Are there any plans to make it available for the current LTS (Hardy Heron) via hardy-backports? Since the package is called "firefox-3.5", there would be no danger of "accidental updates" - but people who want/need it would get it in a safe way.

And before someone cries: Yes, I know it is available via PPA - but those are daily builds for testers. I'm rather talking of a "stable" variant for production use. Some corps need that for compatibility tests of their website apps. And you know, if we are happy enough being allowed to run Linux at work, we must live with the fact to be bound to the LTS ;)

Savvas Radevic (medigeek) wrote :

> I'm rather talking of a "stable" variant for production use.

1. You should open a new bug report, use a subject similar to: "Please
backport firefox-3.5 to ubuntu hardy"
2. I don't think backports are considered stable and/or safe with
up-to-date security maintenance.
Quoting <https://help.ubuntu.com/community/UbuntuBackports>:
"But note that software in backports will not receive review or
updates from the Ubuntu security team itself."
3. PPAs are safe, as long as you know who to trust. :)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers